> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zga/resource-group/modifyresourcegroupbandwidthlimit.md).

# ModifyResourceGroupBandwidthLimit

## 1. API Description

This API (ModifyResourceGroupBandwidthLimit) is used to modify the shared Bandwidth Limit of Accelerators in a Resource Group.

{% hint style="info" %}
**Notes**

* The shared Bandwidth Limit configuration needs to be deployed to access points globally and generally takes 4-6 minutes to take effect.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API Input Parameters.

| Parameter Name  | Required | Type    | Description                                                                                                                                                                                                                                       |
| --------------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| resourceGroupId | Yes      | String  | Resource Group ID.                                                                                                                                                                                                                                |
| enable          | Yes      | Boolean | <p>Whether to enable Resource Group rate limiting.</p><p>If Resource Group rate limiting is not enabled, the rate limiting set in <a href="/api-reference/zga/datastructure.md#accelerateregioninfo">Acceleration Region</a> will be applied.</p> |
| bandwidth       | Yes      | Integer | <p>Shared Bandwidth Limit,</p><p>Unit: Mbps, minimum value 1.</p><p>Maximum value is the account's configured maximum limit.</p>                                                                                                                  |

## 3. Output Parameters

| Parameter Name  | Type   | Description                                                                                                           |
| --------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId       | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| resourceGroupId | String | Resource Group ID.                                                                                                    |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Modify the shared Bandwidth Limit for Resource Group Accelerators**

```json
POST /api/v2/zga HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyResourceGroupBandwidthLimit
<Common Request Params>

Request:
{
    "resourceGroupId": "233676f3-d984-49d2-8b29-0f4065fbc79c",
    "enable": true,
    "bandwidth": 10
}

Response:
{
  "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
  "response": {
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "resourceGroupId": "233676f3-d984-49d2-8b29-0f4065fbc79c"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code            | Description                                                           |
| ---------------- | --------------------- | --------------------------------------------------------------------- |
| 400              | NO\_ENOUGH\_BANDWIDTH | Bandwidth Limit parameter exceeds the account's allowed maximum limit |
